=== debian/changelog ===
ros-humble-joint-trajectory-controller (2.24.0-1jammy) jammy; urgency=high

  * [JTC] Disable use of closed-loop PID adapter if controller is used in open-loop mode. (#551 <https://github.com/ros-controls/ros2_controllers/issues/551>) (#740 <https://github.com/ros-controls/ros2_controllers/issues/740>)
  * [JTC] Reject messages with effort fields (#699 <https://github.com/ros-controls/ros2_controllers/issues/699>) (#719 <https://github.com/ros-controls/ros2_controllers/issues/719>) (#738 <https://github.com/ros-controls/ros2_controllers/issues/738>)
  * [JTC] Re-enabling test, bugfixing and hardening. Adding a parameter to define when trajectories with non-zero velocity at the end are used. (backport #705 <https://github.com/ros-controls/ros2_controllers/issues/705>) (#706 <https://github.com/ros-controls/ros2_controllers/issues/706>)
  * Small improvement in remapping (#393 <https://github.com/ros-controls/ros2_controllers/issues/393>) (#724 <https://github.com/ros-controls/ros2_controllers/issues/724>)
  * Contributors: Christoph Fröhlich, Dr. Denis, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.23.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>) (#677 <https://github.com/ros-controls/ros2_controllers/issues/677>)
  * jtc: fix minor typo in traj validation error msg (#674 <https://github.com/ros-controls/ros2_controllers/issues/674>) (#676 <https://github.com/ros-controls/ros2_controllers/issues/676>)
  * Contributors: G.A. vd. Hoorn, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.22.0-1jammy) jammy; urgency=high

  * Docs: Use branch name substitution for all links (backport #618 <https://github.com/ros-controls/ros2_controllers/issues/618>) (#633 <https://github.com/ros-controls/ros2_controllers/issues/633>)
  * [JTC] Import docs from wiki.ros.org (backport #566 <https://github.com/ros-controls/ros2_controllers/issues/566>) (#634 <https://github.com/ros-controls/ros2_controllers/issues/634>)
  * [Formatting] enable ReflowComments to also use ColumnLimit on comments   (#628 <https://github.com/ros-controls/ros2_controllers/issues/628>)
  * Contributors: Sai Kishor Kothakota, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.21.0-1jammy) jammy; urgency=high

  * Deprecations in generate_parameter_library. (#616 <https://github.com/ros-controls/ros2_controllers/issues/616>)
  * Remove compile warnings. (#519 <https://github.com/ros-controls/ros2_controllers/issues/519>) (#620 <https://github.com/ros-controls/ros2_controllers/issues/620>)
  * ported the joint_trajectory_controller query_state service to ROS2 (backport #481 <https://github.com/ros-controls/ros2_controllers/issues/481>) (#614 <https://github.com/ros-controls/ros2_controllers/issues/614>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>) (#617 <https://github.com/ros-controls/ros2_controllers/issues/617>)
  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>) (#605 <https://github.com/ros-controls/ros2_controllers/issues/605>)
  * Contributors: Dr. Denis, Felix Exner (fexner), Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.19.0-1jammy) jammy; urgency=high

  * Fix JTC from immediately returning success (#565 <https://github.com/ros-controls/ros2_controllers/issues/565>) (#592 <https://github.com/ros-controls/ros2_controllers/issues/592>)
  * Implement new ~/controller_state message (#578 <https://github.com/ros-controls/ros2_controllers/issues/578>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.18.0-1jammy) jammy; urgency=high

  * Fix docs format (#591 <https://github.com/ros-controls/ros2_controllers/issues/591>)
  * [JTC] Configurable joint positon error normalization behavior (#491 <https://github.com/ros-controls/ros2_controllers/issues/491>) (#579 <https://github.com/ros-controls/ros2_controllers/issues/579>)
  * Contributors: Christoph Fröhlich, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.17.3-1jammy) jammy; urgency=high

  * [JTC] Add pid gain structure to documentation (#485 <https://github.com/ros-controls/ros2_controllers/issues/485>) (#543 <https://github.com/ros-controls/ros2_controllers/issues/543>)
  * Fix markup in userdoc.rst (#480 <https://github.com/ros-controls/ros2_controllers/issues/480>) (#542 <https://github.com/ros-controls/ros2_controllers/issues/542>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.17.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-humble-joint-trajectory-controller (2.17.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-joint-trajectory-controller (2.17.0-1jammy) jammy; urgency=high

  * fix interpolation logic (#516 <https://github.com/ros-controls/ros2_controllers/issues/516>) (#523 <https://github.com/ros-controls/ros2_controllers/issues/523>)

