## ros-humble-joint-trajectory-controller 2.37.0

=== debian/changelog ===
ros-humble-joint-trajectory-controller (2.37.0-1bookworm) bookworm; urgency=high

  * Fix WaitSet issue in tests  (backport #1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>) (#1211 <https://github.com/ros-controls/ros2_controllers/issues/1211>)
  * [JTC] Make goal_time_tolerance overwrite default value only if explicitly set (backport #1192 <https://github.com/ros-controls/ros2_controllers/issues/1192> + #1209 <https://github.com/ros-controls/ros2_controllers/issues/1209>) (#1208 <https://github.com/ros-controls/ros2_controllers/issues/1208>)
  * [JTC] Process tolerances sent with action goal (backport #716 <https://github.com/ros-controls/ros2_controllers/issues/716>) (#1189 <https://github.com/ros-controls/ros2_controllers/issues/1189>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.36.0-1bookworm) bookworm; urgency=high

  * Still fill desired/actual deprecated fields (#1172 <https://github.com/ros-controls/ros2_controllers/issues/1172>)
  * JTC trajectory end time validation fix (#1090 <https://github.com/ros-controls/ros2_controllers/issues/1090>) (#1140 <https://github.com/ros-controls/ros2_controllers/issues/1140>)
  * Contributors: Bence Magyar, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.35.0-1bookworm) bookworm; urgency=high

  * [JTC] Remove unused test code (#1095 <https://github.com/ros-controls/ros2_controllers/issues/1095>) (#1096 <https://github.com/ros-controls/ros2_controllers/issues/1096>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 May 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.34.0-1bookworm) bookworm; urgency=high

  * Remove action_msg dependency (#1077 <https://github.com/ros-controls/ros2_controllers/issues/1077>) (#1080 <https://github.com/ros-controls/ros2_controllers/issues/1080>)
  * [JTC] Angle wraparound for first segment of trajectory (#796 <https://github.com/ros-controls/ros2_controllers/issues/796>) (#1033 <https://github.com/ros-controls/ros2_controllers/issues/1033>)
  * Bump version of pre-commit hooks (#1073 <https://github.com/ros-controls/ros2_controllers/issues/1073>) (#1074 <https://github.com/ros-controls/ros2_controllers/issues/1074>)
  * Let sphinx add parameter description with nested structures to documentation (backport #652 <https://github.com/ros-controls/ros2_controllers/issues/652>) (#1005 <https://github.com/ros-controls/ros2_controllers/issues/1005>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.33.0-1bookworm) bookworm; urgency=high

  * Fix usage of M_PI on Windows (#1036 <https://github.com/ros-controls/ros2_controllers/issues/1036>) (#1037 <https://github.com/ros-controls/ros2_controllers/issues/1037>)
  * Add test_depend on hardware_interface_testing (backport #1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>) (#1019 <https://github.com/ros-controls/ros2_controllers/issues/1019>)
  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>) (#1011 <https://github.com/ros-controls/ros2_controllers/issues/1011>)
  * [JTC] Fill action error_strings (#887 <https://github.com/ros-controls/ros2_controllers/issues/887>) (#1009 <https://github.com/ros-controls/ros2_controllers/issues/1009>)
  * [JTC] Invalidate empty trajectory messages (#902 <https://github.com/ros-controls/ros2_controllers/issues/902>) (#1000 <https://github.com/ros-controls/ros2_controllers/issues/1000>)
  * Revert "[JTC] Remove read_only from 'joints', 'state_interfaces' and 'command_interfaces' parameters (#967 <https://github.com/ros-controls/ros2_controllers/issues/967>)" (#978 <https://github.com/ros-controls/ros2_controllers/issues/978>) (#986 <https://github.com/ros-controls/ros2_controllers/issues/986>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.32.0-1bookworm) bookworm; urgency=high

  * Cleanup package.xml und clarify tests of JTC. (backport #889 <https://github.com/ros-controls/ros2_controllers/issues/889>) (#924 <https://github.com/ros-controls/ros2_controllers/issues/924>)
  * [JTC] Remove deprecation from parameters validation file. (#476 <https://github.com/ros-controls/ros2_controllers/issues/476>) (#926 <https://github.com/ros-controls/ros2_controllers/issues/926>)
  * [JTC] Cancel goal in on_deactivate (#962 <https://github.com/ros-controls/ros2_controllers/issues/962>) (#970 <https://github.com/ros-controls/ros2_controllers/issues/970>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.31.0-1bookworm) bookworm; urgency=high

  * [JTC] Remove read_only from 'joints', 'state_interfaces' and 'command_interfaces' parameters (#967 <https://github.com/ros-controls/ros2_controllers/issues/967>) (#968 <https://github.com/ros-controls/ros2_controllers/issues/968>)
  * [JTC] Add console output for tolerance checks (backport #932 <https://github.com/ros-controls/ros2_controllers/issues/932>) (#938 <https://github.com/ros-controls/ros2_controllers/issues/938>)
  * [JTC] Cleanup includes (#943 <https://github.com/ros-controls/ros2_controllers/issues/943>) (#959 <https://github.com/ros-controls/ros2_controllers/issues/959>)
  * Fix whitespace
  * Add rqt_JTC to docs (#950 <https://github.com/ros-controls/ros2_controllers/issues/950>) (#952 <https://github.com/ros-controls/ros2_controllers/issues/952>)
  * Contributors: Bence Magyar, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 10 Jan 2024 16:00:00 -0000


