=== debian/control ===
Source: ros-humble-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-angles, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-generate-parameter-library, ros-humble-hardware-interface, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-rsl, ros-humble-tl-expected, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-angles, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-generate-parameter-library, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-rsl, ros-humble-tl-expected, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Description: Controller for executing joint-space trajectories on a group of joints
